package com.liquidnet.service.chime.constant;

import com.liquidnet.commons.lang.util.IDGenerator;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: ChimeConstant
 * @Package com.liquidnet.service.chime.constant
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2021/9/9 10:59
 */
public class ChimeConstant {
    public static String USER_ID_PREFIX = "CHE";

    public static final String PREFIX = "chime:";
    public static final String REDIS_CITY_NAME_ALLOW = PREFIX.concat("per:cityName:allow");
    public static final String REDIS_CITY_NAME_NOT_ALLOW = PREFIX.concat("per:cityName:notAllow");
    public static final String REDIS_PERFORMANCE_IDS_ALLOW = PREFIX.concat("per:performanceIds:allow");
    public static final String REDIS_PERFORMANCE_IDS_NOT_ALLOW = PREFIX.concat("per:performanceIds:notAllow");
    public static String getNewUserId(){
        return USER_ID_PREFIX + IDGenerator.nextTimeId();
    }
}
